# Keys

GSM_Error MakeKeySequence(char *text, GSM_KeyCode *KeyCode, size_t *Length)

  Creates key sequence from string.

  Parameters:

    - text – Text to convert.

    - KeyCode – Storage for key codes.

    - Length – Storage for resulting length.

  Returns:

    Error code.

GSM_Error GSM_PressKey(GSM_StateMachine *s, GSM_KeyCode Key, gboolean Press)

  Emulates key press or key release.

enum GSM_KeyCode

  Key event identifiers.

  Values:

  enumerator GSM_KEY_NONE
  enumerator GSM_KEY_1
  enumerator GSM_KEY_2
  enumerator GSM_KEY_3
  enumerator GSM_KEY_4
  enumerator GSM_KEY_5
  enumerator GSM_KEY_6
  enumerator GSM_KEY_7
  enumerator GSM_KEY_8
  enumerator GSM_KEY_9
  enumerator GSM_KEY_0
  enumerator GSM_KEY_HASH

    #

  enumerator GSM_KEY_ASTERISK

  enumerator GSM_KEY_POWER

    Power key.

  enumerator GSM_KEY_GREEN

    in some phone ie. N5110 sometimes works identical to POWER

  enumerator GSM_KEY_RED

    (c) key in some phone: ie. N5110

  enumerator GSM_KEY_INCREASEVOLUME

    Not available in some phones as separate button: ie. N5110

  enumerator GSM_KEY_DECREASEVOLUME

    Not available in some phones as separate button: ie. N5110

  enumerator GSM_KEY_UP
  enumerator GSM_KEY_DOWN
  enumerator GSM_KEY_MENU
  enumerator GSM_KEY_NAMES

    Not available in some phone: ie. N5110

  enumerator GSM_KEY_LEFT

    Left arrow

  enumerator GSM_KEY_RIGHT

    Right arrow

  enumerator GSM_KEY_SOFT1

    Software key which has assigned mening on display.

  enumerator GSM_KEY_SOFT2

    Software key which has assigned mening on display.

  enumerator GSM_KEY_HEADSET

    Button on headset

  enumerator GSM_KEY_JOYSTICK

    Joystick pressed

  enumerator GSM_KEY_CAMERA

    Camera button pressed

  enumerator GSM_KEY_MEDIA

    Media player button

  enumerator GSM_KEY_DESKTOP

    Multi function key, desktop

  enumerator GSM_KEY_OPERATOR

    Operator button

  enumerator GSM_KEY_RETURN

    Return button

  enumerator GSM_KEY_CLEAR

    Clear button